//
// C++ Interface: helpmanager
//
// Description: 
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef HELPMANAGER_H
#define HELPMANAGER_H

#include <qobject.h>
#include <qassistantclient.h>
#include <qdir.h>
#include <qfile.h>
#include <qfiledialog.h>
#include <qprocess.h>
#include "defs.h"

/**
@author Predrag Viceic
*/
class HelpManager : public QObject
{
Q_OBJECT
public:
    HelpManager(QString root_temp_dir,QObject *parent = 0, const char *name = 0);

    ~HelpManager();
    bool hasHelp();
    void uncompress(QString help_file);
    QString rootHelpDir;
    QAssistantClient* helpClient;

public slots:
    void open();
};

#endif
